> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# List all carriers

> Retrieve a list of all available shipping carriers for the given retailer.



## OpenAPI

````yaml carriers.openapi get /v1/retailers/{retailer_id}/carriers/
openapi: 3.0.0
info:
  title: Carriers API
  version: 1.0.0
  description: |
    API endpoints related to carrier lookup and management.
servers:
  - url: https://marketplace-api.fabric.inc
    description: Production server
security:
  - Bearer: []
tags:
  - name: Carriers
    description: Carrier lookup
paths:
  /v1/retailers/{retailer_id}/carriers/:
    get:
      tags:
        - Carriers
      summary: List all carriers
      description: >-
        Retrieve a list of all available shipping carriers for the given
        retailer.
      parameters:
        - name: retailer_id
          in: path
          description: >-
            The unique retailer ID. In the Dropship UI this is called the
            **Merchant ID**. To find your Merchant ID, click your merchant name
            in the top nav.
          required: true
          schema:
            type: integer
            example: 1001
      responses:
        '200':
          description: A list of carriers
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Carrier'
components:
  schemas:
    Carrier:
      type: object
      description: Carrier details.
      properties:
        id:
          type: integer
          description: The unique identifier for the shipping carrier.
          example: 123
        name:
          type: string
          description: The name of the shipping carrier.
          example: FastShip
        service_level:
          type: string
          description: >-
            The different types of services offered, such as Standard or Express
            shipping.
          example: Express
        tracking_url:
          type: string
          description: The base URL used for tracking shipments.
          example: https://track.fastship.com/{tracking_number}
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````